### Method

# ECal Component set_transparency

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_transparency (
      ECalComponent* comp,
      ECalComponentTransparency transp
    )

#### Description [src]

Sets the time transparency of a calendar component object. Use `E_CAL_COMPONENT_TRANSP_NONE` to unset the property.

Available since: 3.34

#### Parameters

`transp`

  Type: `ECalComponentTransparency`

  Time transparency value.